1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

WRT55AG v2 problems

Discussion in 'Cisco/Linksys Wireless Routers' started by greg709er, Feb 13, 2008.

  1. greg709er

    greg709er LI Guru Member


    I just recently acquired a WRT55AG v2. I checked the linksys site for the lated firmware update and found one that was newer than the one installed on it, I think the installed one was v1.4 but Im not 100 percent on that. Anyhow, the latest Linksys firmware is 1.79. I decided to download the update and install it on the WRT55AG. When the update was finished the router no longer acts normally. It does not appear to be bricked, I can still access the web interface and I can connect to the wireless G, but I do not have any Wireless A devices to test.

    I can also configure the options on the interface, but only for about 30 minutes after doing a fresh firmware update, after that when I use the interface the page never loads correctly and I cant make or save and changes. Doing a hard reset does not change anything, and neither does power cycling. When I flash the firmware again I can make changes for another 20 - 30 minutes before the interface breaks again. I tried leaving it turned off all night a couple times just to make sure there was nothing stored in mem causing an issue. Also, since doing the update both Wireless LEDs blink constantly, about on a 1 second interval and not in sync with each other. Normally the Wireless LED blinks fast as data comes in on Linksys units, and thats what this one did before I first updated its firmware. So there is definitely something wrong with this unit.

    If anyone can help me get this fixed I would really appreciate it! I am somewhat experienced with flashing other linksys products, such as the WRT54G, with either 3rd party or Linksys firmware.

    thanks for looking!
  2. greg709er

    greg709er LI Guru Member

    Does anyone know where I can find old versions of linksys firmware? It would be nice if I could try a slightly older version and see if that gets it working normally.

  3. HennieM

    HennieM Network Guru Member

    You might try a dd-wrt version (I think).

    If you change country on the Linksys web, you get ETSI and other versions.
    Try http://www-za.linksys.com/servlet/S...2642526B01&displaypage=download#versiondetail

    Linksys, A Division of Cisco Systems, Inc.

    Product: WRT55AGv2

    Classification: Firmware Release History

    Release Date: 10/03/05

    Last Firmware Version: v1.30, (ETSI) OCT 03,2005

    For use with EU (ETSI) models only.

    Version 1.30 (ETSI) MAR 18, 2005
    - Initial Release ,

    Version 1.30 (ETSI) OCT03, 2005
    - added PPtP Connect-On-Demand support.

    Note: Please make sure to reset/reboot the unit after firmware upgrade is complete.
  4. greg709er

    greg709er LI Guru Member

    Hi, thanks for the response. Yes I just tried changing countries and found older versions available for the europe model. The only thing is I am afraid this might brick the unit. Is it safe to use the firmware for a european model? I know Europe has more channels available for G, I dont really care about that stuff, I just want the router to work right again.

    Also DD-WRT does not support v2 of the WRT55AG because the chipset is now Atheros and not Broadcom. Atheros uses VxWorks and there didnt release the source apparently for the v2, according to a section I found on OpenWRT.

  5. HennieM

    HennieM Network Guru Member

    I'm not sure, but I would try it. The routers are identical hardware-wise to the best of my knowledge, so the only thing might be some check built into the upgrade procedure to block non-US firmware. This could then halt the upgrade, but not brick the router. I doubt that would be the case though.
  6. greg709er

    greg709er LI Guru Member

    Yea I tried to run the v1.30 firmware for the UK version and it warned me that it was not the correct firmware. I didnt want to risk trying to TFTP the firmware incase it could brick the unit. I did find the v1.10 firmware for the US version on the Linksys FTP site. I used it and it seems to be working now, minus the new standards that the later version supports. At least its working and I guess this is what I have to live with until I can find a later version that works.

    If anyone has a copy of firmwares for this unit later than 1.10 but earlier than the latest 1.79 I would REALLY appreciate it if you could send it to me. Let me know and I will give you my email address.

  7. greg709er

    greg709er LI Guru Member

    Ok cancel that, thanks for looking. I just spoke to linksys and they said the unit is still under warranty and can be returned for a new unit. Hopefully they have these or better units in stock. As long as I get a 4 Port Wireless ABG router I will probably be happy.

  8. grcore

    grcore Network Guru Member

Share This Page